Page MenuHomePhabricator

Rescue HISTORY
Closed, ResolvedPublic

Description

It seems there's various MW point releases which haven't made it into HISTORY

For example, see https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/484252/

We should rescue this information

https://www.mediawiki.org/wiki/Release_notes shows the list of major releases, and https://www.mediawiki.org/wiki/Special:PrefixIndex/Release_notes shows them all

  • MediaWiki 1.32
  • MediaWiki 1.31
  • MediaWiki 1.30
  • MediaWiki 1.29
  • MediaWiki 1.28
  • MediaWiki 1.27
  • MediaWiki 1.26
  • MediaWiki 1.25
  • MediaWiki 1.24
  • MediaWiki 1.23
  • MediaWiki 1.22
  • MediaWiki 1.21
  • MediaWiki 1.20
  • MediaWiki 1.19
  • MediaWiki 1.18
  • MediaWiki 1.17
  • MediaWiki 1.16
  • MediaWiki 1.15
  • MediaWiki 1.14
  • MediaWiki 1.13
  • MediaWiki 1.12
  • MediaWiki 1.11
  • MediaWiki 1.10
  • MediaWiki 1.9
  • MediaWiki 1.8
  • MediaWiki 1.7
  • MediaWiki 1.6
  • MediaWiki 1.5
  • MediaWiki 1.4
  • MediaWiki 1.3
  • MediaWiki 1.2
  • MediaWiki 1.1
  • pre-MediaWiki 1.1.0

Event Timeline

Reedy created this task.Jan 14 2019, 4:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2019, 4:13 PM
Reedy updated the task description. (Show Details)Jan 14 2019, 4:50 PM
Nikitrain added a subscriber: Nikitrain.EditedMar 20 2019, 1:45 PM

Hey! I'm a new contributor. I want to work on this task. I have some merged patches on Gerrit. Can you help me get started for this task :)

Nikitrain added a comment.EditedMar 20 2019, 2:19 PM

Yes, I want to know if the Aim of the task is to include the information from https://www.mediawiki.org/wiki/Special:PrefixIndex/Release_notes to https://www.mediawiki.org/wiki/Release_notes. then how is this supposed to be done via Gerrit patch?
Do I have to clone the mediawiki-core repository

Aklapper added a comment.EditedMar 20 2019, 4:25 PM

Hi, it's not the aim. Data should be copied into HISTORY. See the Gerrit link above for an example. Also see the Gerrit link for which repository this is about.

got it! thanks! :)

Change 497821 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] Rescue some more HISTORY

https://gerrit.wikimedia.org/r/497821

Nikitrain added a comment.EditedMar 20 2019, 6:16 PM

@Aklapper who should I add as reviewers?
I have uploaded a patch for MediaWiki version 1.11 history.
If my patch is fine then Can I upload more patch(s)

Change 498010 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] Rescue some more HISTORY

https://gerrit.wikimedia.org/r/498010

Change 498526 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] Rescue some more HISTORY

https://gerrit.wikimedia.org/r/498526

Change 498527 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] Rescue some more HISTORY

https://gerrit.wikimedia.org/r/498527

Change 498965 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.23 post-release change notes

https://gerrit.wikimedia.org/r/498965

Change 498979 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.32 release change notes

https://gerrit.wikimedia.org/r/498979

Change 497821 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.11 post-release change notes

https://gerrit.wikimedia.org/r/497821

Change 498010 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.12 post-release change notes

https://gerrit.wikimedia.org/r/498010

Change 498526 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.18 post-release change notes

https://gerrit.wikimedia.org/r/498526

Change 498527 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.19 post-release change notes

https://gerrit.wikimedia.org/r/498527

Change 498965 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.23 post-release change notes

https://gerrit.wikimedia.org/r/498965

Nikitrain updated the task description. (Show Details)
Nikitrain added a comment.EditedMar 26 2019, 10:52 AM

There aren't any MW point releases which haven't made it into HISTORY,
for:

  • MediaWiki 1.22
  • MediaWiki 1.21
  • MediaWiki 1.20
  • MediaWiki 1.17
  • MediaWiki 1.15
  • MediaWiki 1.14
  • MediaWiki 1.26
  • MediaWiki 1.25
  • MediaWiki 1.24

    release notes are complete for these as per the given mediawiki and git links.
Nikitrain updated the task description. (Show Details)Mar 26 2019, 10:53 AM
Nikitrain updated the task description. (Show Details)Mar 26 2019, 10:58 AM

For MediaWiki 1.16, History has more point release notes than mediawiki.

Nikitrain updated the task description. (Show Details)Mar 26 2019, 11:01 AM
Nikitrain updated the task description. (Show Details)Mar 26 2019, 11:04 AM
Nikitrain updated the task description. (Show Details)Mar 26 2019, 11:06 AM
This comment was removed by Nikitrain.

Change 499174 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.13 post-release change notes

https://gerrit.wikimedia.org/r/499174

Change 499177 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.10 post-release change notes

https://gerrit.wikimedia.org/r/499177

Change 499184 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.9 post-release change notes

https://gerrit.wikimedia.org/r/499184

Change 499177 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.10 post-release change notes

https://gerrit.wikimedia.org/r/499177

Change 499184 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.9 post-release change notes

https://gerrit.wikimedia.org/r/499184

Change 499174 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.13 post-release change notes

https://gerrit.wikimedia.org/r/499174

Nikitrain updated the task description. (Show Details)Mar 26 2019, 4:49 PM
Nikitrain added a comment.EditedMar 26 2019, 5:01 PM
  • MediaWiki 1.31
  • MediaWiki 1.30
  • MediaWiki 1.27

They have all of the released point release's release notes in HISTORY.

Nikitrain updated the task description. (Show Details)Mar 26 2019, 5:02 PM

Change 498979 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.32.1 release change notes

https://gerrit.wikimedia.org/r/498979

Nikitrain updated the task description. (Show Details)Mar 26 2019, 5:38 PM

Change 499458 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.8 post-release change notes

https://gerrit.wikimedia.org/r/499458

Change 499467 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.7 post-release change notes

https://gerrit.wikimedia.org/r/499467

Change 499467 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.7 post-release change notes

https://gerrit.wikimedia.org/r/499467

Nikitrain updated the task description. (Show Details)Mar 27 2019, 4:29 PM

Change 499458 abandoned by Nikitrain:
HISTORY: Add MediaWiki 1.8 post-release change notes

https://gerrit.wikimedia.org/r/499458

Change 499549 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.6 post-release change notes

https://gerrit.wikimedia.org/r/499549

Change 499568 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.4 post-release change notes

https://gerrit.wikimedia.org/r/499568

Change 499571 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.5 post-release change notes

https://gerrit.wikimedia.org/r/499571

Change 499458 restored by Jforrester:
HISTORY: Add MediaWiki 1.8 post-release change notes

https://gerrit.wikimedia.org/r/499458

Change 499549 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.6 post-release change notes

https://gerrit.wikimedia.org/r/499549

Change 499568 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.4 post-release change notes

https://gerrit.wikimedia.org/r/499568

Nikitrain updated the task description. (Show Details)Mar 27 2019, 7:44 PM

Change 499458 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.8 post-release change notes

https://gerrit.wikimedia.org/r/499458

Change 499571 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.5 post-release change notes

https://gerrit.wikimedia.org/r/499571

Nikitrain updated the task description. (Show Details)Mar 28 2019, 1:33 AM

Change 499721 had a related patch set uploaded (by Jforrester; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.3 post-release change notes

https://gerrit.wikimedia.org/r/499721

Change 499721 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.3 post-release change notes

https://gerrit.wikimedia.org/r/499721

Nikitrain updated the task description. (Show Details)Mar 28 2019, 6:50 PM

Change 499865 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.2 post-release change notes

https://gerrit.wikimedia.org/r/499865

Change 499869 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add MediaWiki 1.1 post-release change notes

https://gerrit.wikimedia.org/r/499869

Change 499871 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/core@master] HISTORY: Add pre-MediaWiki 1.1.0 post-release change notes

https://gerrit.wikimedia.org/r/499871

Nikitrain added a comment.EditedMar 28 2019, 7:33 PM

All of the Release Notes for all of the versions have been completed in HISTORY by these patches.

Change 499871 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add pre-MediaWiki 1.1.0 post-release change notes

https://gerrit.wikimedia.org/r/499871

-rw-r--r-- 1 jdforrester staff 1.0M 28 Mar 15:38 HISTORY

We may want to split the file up. :-)

Change 499869 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.1 post-release change notes

https://gerrit.wikimedia.org/r/499869

Change 499865 merged by jenkins-bot:
[mediawiki/core@master] HISTORY: Add MediaWiki 1.2 post-release change notes

https://gerrit.wikimedia.org/r/499865

All of the Release Notes for all of the versions have been completed in HISTORY by these patches.

Very nice. Thanks!

Thanks to James for reviewing most (all?) of those!

Nikitrain updated the task description. (Show Details)Mar 29 2019, 3:45 AM
Nikitrain closed this task as Resolved.Mar 29 2019, 4:29 AM